Me TV, it's TV for me computer

"epg_event row replaced for id" is causing high usage of harddrive

Reported by c4pp4 on 2012-04-15
56
This bug affects 9 people
Affects Status Importance Assigned to Milestone
Me TV
High
Frédéric Côté

Bug Description

Precise Pangolin
updates from April 15
Me-TV 1.4.0.9

While me-tv-server is working with epg row replacing, me-tv-client is not responding to mouse clicks and harddisk has high usage. I have encrypted whole home folder if it helps.

Log from me-tv-server verbose option, watch the time:
2012-04-15 18:01:02: epg_event row replaced for id 4042
2012-04-15 18:01:02: epg_event row replaced for id 4043
2012-04-15 18:01:02: epg_event row replaced for id 4044
2012-04-15 18:01:02: epg_event row replaced for id 4045
2012-04-15 18:01:02: epg_event row replaced for id 4046
2012-04-15 18:01:02: epg_event row replaced for id 4047
2012-04-15 18:01:02: epg_event row replaced for id 4048
2012-04-15 18:01:02: epg_event row replaced for id 4049
2012-04-15 18:01:02: epg_event row replaced for id 4050
2012-04-15 18:01:03: epg_event row replaced for id 4051
2012-04-15 18:01:03: epg_event row replaced for id 4052
2012-04-15 18:01:03: epg_event row replaced for id 4053
2012-04-15 18:01:03: epg_event row replaced for id 4054
2012-04-15 18:01:03: epg_event row replaced for id 4055
2012-04-15 18:01:03: epg_event row replaced for id 4056
2012-04-15 18:01:03: epg_event row replaced for id 4057
2012-04-15 18:01:03: epg_event row replaced for id 4058
2012-04-15 18:01:04: epg_event row replaced for id 4059
2012-04-15 18:01:04: epg_event row replaced for id 4060
2012-04-15 18:01:04: epg_event row replaced for id 4061
2012-04-15 18:01:04: epg_event row replaced for id 4062
2012-04-15 18:01:04: epg_event row replaced for id 4063
2012-04-15 18:01:04: epg_event row replaced for id 4064
2012-04-15 18:01:04: epg_event row replaced for id 4065
2012-04-15 18:01:04: epg_event row replaced for id 4066
2012-04-15 18:01:04: epg_event row replaced for id 4067
2012-04-15 18:01:05: epg_event row replaced for id 4068
2012-04-15 18:01:05: epg_event row replaced for id 4069
2012-04-15 18:01:05: epg_event row replaced for id 4070
2012-04-15 18:01:05: epg_event row replaced for id 4071
2012-04-15 18:01:05: epg_event row replaced for id 4072
2012-04-15 18:01:05: epg_event row replaced for id 4073
2012-04-15 18:01:05: epg_event row replaced for id 4074
2012-04-15 18:01:05: epg_event row replaced for id 4075
2012-04-15 18:01:06: epg_event row replaced for id 4076
2012-04-15 18:01:06: epg_event row replaced for id 4077
2012-04-15 18:01:06: epg_event row replaced for id 4078
2012-04-15 18:01:06: epg_event row replaced for id 4079
2012-04-15 18:01:06: epg_event row replaced for id 4080
2012-04-15 18:01:06: epg_event row replaced for id 4081
2012-04-15 18:01:06: epg_event row replaced for id 4082
2012-04-15 18:01:06: epg_event row replaced for id 4083
2012-04-15 18:01:06: epg_event row replaced for id 4084
2012-04-15 18:01:07: epg_event row replaced for id 4085
2012-04-15 18:01:07: epg_event row replaced for id 4086
2012-04-15 18:01:07: epg_event row replaced for id 4087
2012-04-15 18:01:07: epg_event row replaced for id 4088
2012-04-15 18:01:07: epg_event row replaced for id 4089
2012-04-15 18:01:07: epg_event row replaced for id 4090
2012-04-15 18:01:07: epg_event row replaced for id 4091
2012-04-15 18:01:07: epg_event row replaced for id 4092
2012-04-15 18:01:08: epg_event row replaced for id 4093
2012-04-15 18:01:08: epg_event row replaced for id 4094
2012-04-15 18:01:08: epg_event row replaced for id 4095
2012-04-15 18:01:08: epg_event row replaced for id 4096
2012-04-15 18:01:08: epg_event row replaced for id 4097
2012-04-15 18:01:08: epg_event row replaced for id 4098
2012-04-15 18:01:08: epg_event row replaced for id 4099
2012-04-15 18:01:08: epg_event row replaced for id 4100
2012-04-15 18:01:08: epg_event row replaced for id 4101
2012-04-15 18:01:09: epg_event row replaced for id 4102
2012-04-15 18:01:09: epg_event row replaced for id 4103
2012-04-15 18:01:09: epg_event row replaced for id 4104
2012-04-15 18:01:09: epg_event row replaced for id 4105
2012-04-15 18:01:09: epg_event row replaced for id 4106
2012-04-15 18:01:09: epg_event row replaced for id 4107
2012-04-15 18:01:09: epg_event row replaced for id 4108
2012-04-15 18:01:09: epg_event row replaced for id 4109
2012-04-15 18:01:10: epg_event row replaced for id 4110
2012-04-15 18:01:10: epg_event row replaced for id 4111
2012-04-15 18:01:10: epg_event row replaced for id 4112
2012-04-15 18:01:10: epg_event row replaced for id 4113
2012-04-15 18:01:10: epg_event row replaced for id 4114
2012-04-15 18:01:10: epg_event row replaced for id 4115
2012-04-15 18:01:10: epg_event row replaced for id 4116
2012-04-15 18:01:10: epg_event row replaced for id 4117
2012-04-15 18:01:11: epg_event row replaced for id 4118
2012-04-15 18:01:11: epg_event row replaced for id 4119
2012-04-15 18:01:11: epg_event row replaced for id 4120
2012-04-15 18:01:11: epg_event row replaced for id 4121
2012-04-15 18:01:11: epg_event row replaced for id 4122
2012-04-15 18:01:11: epg_event row replaced for id 4123
2012-04-15 18:01:11: epg_event row replaced for id 4124
2012-04-15 18:01:11: epg_event row replaced for id 4125
2012-04-15 18:01:12: epg_event row replaced for id 4126
2012-04-15 18:01:12: epg_event row replaced for id 4127
2012-04-15 18:01:12: epg_event row replaced for id 4128
2012-04-15 18:01:12: epg_event row replaced for id 4129
2012-04-15 18:01:12: epg_event row replaced for id 4130
2012-04-15 18:01:12: epg_event row replaced for id 4131
2012-04-15 18:01:12: epg_event row replaced for id 4132
2012-04-15 18:01:12: epg_event row replaced for id 4133
2012-04-15 18:01:13: epg_event row replaced for id 4134
2012-04-15 18:01:13: epg_event row replaced for id 4135
2012-04-15 18:01:13: epg_event row replaced for id 4136
2012-04-15 18:01:13: epg_event row replaced for id 4137
2012-04-15 18:01:13: epg_event row replaced for id 4138
2012-04-15 18:01:13: epg_event row replaced for id 4139
2012-04-15 18:01:13: epg_event row replaced for id 4140
2012-04-15 18:01:13: epg_event row replaced for id 4141
2012-04-15 18:01:14: epg_event row replaced for id 4142
2012-04-15 18:01:14: epg_event row replaced for id 4143
2012-04-15 18:01:14: epg_event row replaced for id 4144
2012-04-15 18:01:14: epg_event row replaced for id 4145
2012-04-15 18:01:14: epg_event row replaced for id 4146
2012-04-15 18:01:14: epg_event row replaced for id 4147
2012-04-15 18:01:14: epg_event row replaced for id 4148
2012-04-15 18:01:14: epg_event row replaced for id 4149
2012-04-15 18:01:14: epg_event row replaced for id 4150
2012-04-15 18:01:15: epg_event row replaced for id 4151
2012-04-15 18:01:15: epg_event row replaced for id 4152
2012-04-15 18:01:15: epg_event row replaced for id 4153
2012-04-15 18:01:15: epg_event row replaced for id 4154
2012-04-15 18:01:15: epg_event row replaced for id 4155
2012-04-15 18:01:15: epg_event row replaced for id 4156
2012-04-15 18:01:15: epg_event row replaced for id 4157
2012-04-15 18:01:15: epg_event row replaced for id 4158

c4pp4 (c4pp4) wrote :

I've made some tests with guest account and it seems to be definitely job of encrypted home folder causing poor performance of sqlite database. I wonder how to separate me-tv from the home folder.

Changed in me-tv:
status: New → Opinion
Download full text (8.1 KiB)

The only way I think of is to modify the source code then compile it.

I'll keep this problem (database in encrypted area) in mind and when I'll
have some spare time, I'll look into it.

Cheers,
Frederic

On Sun, Apr 15, 2012 at 8:18 PM, c4pp4 <email address hidden> wrote:

> I've made some tests with guest account and it seems to be definitely
> job of encrypted home folder causing poor performance of sqlite
> database. I wonder how to separate me-tv from the home folder.
>
> ** Changed in: me-tv
> Status: New => Opinion
>
> --
> You received this bug notification because you are subscribed to Me TV.
> https://bugs.launchpad.net/bugs/982421
>
> Title:
> "epg_event row replaced for id" is causing high usage of harddrive
>
> Status in Me TV, it's TV for me computer:
> Opinion
>
> Bug description:
> Precise Pangolin
> updates from April 15
> Me-TV 1.4.0.9
>
> While me-tv-server is working with epg row replacing, me-tv-client is
> not responding to mouse clicks and harddisk has high usage. I have
> encrypted whole home folder if it helps.
>
> Log from me-tv-server verbose option, watch the time:
> 2012-04-15 18:01:02: epg_event row replaced for id 4042
> 2012-04-15 18:01:02: epg_event row replaced for id 4043
> 2012-04-15 18:01:02: epg_event row replaced for id 4044
> 2012-04-15 18:01:02: epg_event row replaced for id 4045
> 2012-04-15 18:01:02: epg_event row replaced for id 4046
> 2012-04-15 18:01:02: epg_event row replaced for id 4047
> 2012-04-15 18:01:02: epg_event row replaced for id 4048
> 2012-04-15 18:01:02: epg_event row replaced for id 4049
> 2012-04-15 18:01:02: epg_event row replaced for id 4050
> 2012-04-15 18:01:03: epg_event row replaced for id 4051
> 2012-04-15 18:01:03: epg_event row replaced for id 4052
> 2012-04-15 18:01:03: epg_event row replaced for id 4053
> 2012-04-15 18:01:03: epg_event row replaced for id 4054
> 2012-04-15 18:01:03: epg_event row replaced for id 4055
> 2012-04-15 18:01:03: epg_event row replaced for id 4056
> 2012-04-15 18:01:03: epg_event row replaced for id 4057
> 2012-04-15 18:01:03: epg_event row replaced for id 4058
> 2012-04-15 18:01:04: epg_event row replaced for id 4059
> 2012-04-15 18:01:04: epg_event row replaced for id 4060
> 2012-04-15 18:01:04: epg_event row replaced for id 4061
> 2012-04-15 18:01:04: epg_event row replaced for id 4062
> 2012-04-15 18:01:04: epg_event row replaced for id 4063
> 2012-04-15 18:01:04: epg_event row replaced for id 4064
> 2012-04-15 18:01:04: epg_event row replaced for id 4065
> 2012-04-15 18:01:04: epg_event row replaced for id 4066
> 2012-04-15 18:01:04: epg_event row replaced for id 4067
> 2012-04-15 18:01:05: epg_event row replaced for id 4068
> 2012-04-15 18:01:05: epg_event row replaced for id 4069
> 2012-04-15 18:01:05: epg_event row replaced for id 4070
> 2012-04-15 18:01:05: epg_event row replaced for id 4071
> 2012-04-15 18:01:05: epg_event row replaced for id 4072
> 2012-04-15 18:01:05: epg_event row replaced for id 4073
> 2012-04-15 18:01:05: epg_event row replaced for id 4074
> 2012-04-15 18:01:05: epg_event row replaced for id 4075
> 2012-04-15 18:01:06: epg_event row replaced for id 4076
> 2...

Read more...

c4pp4 (c4pp4) wrote :

Thank you. Maybe there could be a new option for targeting the me-tv.db file outside the ~/.local/share/me-tv folder.

c4pp4 (c4pp4) wrote :

I've tried some more testing:

- symbolic link outside the home folder
- new user with the unencrypted home folder
- me-tv compiled with "Glib::ustring data_directory" outside the home folder

Everything above has poor sqlite performance.

So far just guest user is going well.

c4pp4 (c4pp4) wrote :

I have tried ext4, ext3, raiserfs, all unencrypted all the same - poor performance.

It looks like journaling is causing the problem:
output of iotop
1001 be/3 root 0.00 B/s 0.00 B/s 0.00 % 98.89 % [jbd2/sda3-8]

Gerd Mayer (grmayer) wrote :

I have exacly the same problem, client is not responding and high harddisk usage.
No encrypted filesystem. mdraid raid=1. Everything was working fine sine I updated about 40 packages on my gentoo
system. Since this update the performance is very poor. Recording is no more possible.
I did a fallback to sqlite V3.7.9, but no performance improvement. I have no idea which package caused this trouble.
Any ideas ?

c4pp4 (c4pp4) wrote :

I've changed /etc/fstab

from
UUID=xxxxxx /home ext4 defaults 0 2

to
UUID=xxxxxx /home ext4 defaults,barrier=0,errors=remount-ro 0 2

About "barrier" option:
http://kernelnewbies.org/Ext4#head-25c0a1275a571f7332fa196d4437c38e79f39f63

Skip D. (good-old-skip) wrote :

Hello,

I also have that databank problem. I'm using Debian Testing on i386 and me-tv 1.4 ....34 snapshot from launchpad. Yet upon importing channels the system shows heavy hdd activity and the import needs tens of minutes or more (around 300 channels).
I use ext4 and feel a bit uneasy about trying that barrier =0 tweak on my filesystem.
Has anybody any further suggestions?

And, by the way, a huge "Thank you" for this great program. For me this combinations of TV screen and EPG overview for several channels in one is just perfect.

-Skip

Skip D. (good-old-skip) wrote :

Ok, I did another try: instead of altering the mount options of my home filesystem, I just made a small loop back device, installing an ext4 system into a file. This way I did not worry about this barriers=0 option and it seems tom work now.
I mounted into /.local/share/me-tv, so for me-tv it should be transparent.

This solves my problem at the moment, but I consider it more a workaround then a solution.

Best regards,

Skip

c4pp4 (c4pp4) wrote :

Would you share your solution walkthrough, please?

c4pp4 (c4pp4) wrote :

The answer to my question. I've made an ext2 loopback device (ext2 because it has no journal so there is no need to set the "barrier" option) outside the home and set it to be shared among multiple users.

Create a folder "me-tv" outside the home folder to store a loopback device and a folder "mnt" to mount the loopback device at it:
sudo mkdir -p /usr/local/share/me-tv/mnt

Create the loopback device "me-tv.img" with the size 10MB (size = maximal size of the "me-tv.db" file, you can change the option "count" to raise the size)
sudo dd if=/dev/zero of=/usr/local/share/me-tv/me-tv.img bs=512 count=20000

Find out the name of the first unused loop device:
sudo losetup -f

Setup the loop device "/dev/loop0":
sudo losetup /dev/loop0 /usr/local/share/me-tv/me-tv.img

Format the loop device to ext2:
sudo mkfs -t ext2 /dev/loop0

Mount the loop device:
sudo mount -t ext2 /dev/loop0 /usr/local/share/me-tv/mnt

Create a folder "db" to store the "me-tv.db" file:
sudo mkdir /usr/local/share/me-tv/mnt/db

Change the owner of the "db" folder to the actual user:
sudo chown $USER:$USER /usr/local/share/me-tv/mnt/db

Set the sticky bit flag of the "db" folder to the actual user to prevent removing the "me-tv.db" file by another user:
sudo chmod +t /usr/local/share/me-tv/mnt/db

Remove the old folder from the home (plus every regular user have to do it):
rm -r ~/.local/share/me-tv

Create a symbolic link to the "db" folder outside the home (plus every regular user have to do it):
ln -s /usr/local/share/me-tv/mnt/db ~/.local/share/me-tv

Create the "me-tv.db" file (check if everything is ok and terminate it with ctrl+c):
me-tv-server -v

Set write permissions to the "db" folder and the "me-tv.db" file to all users:
sudo chmod -R go+w /usr/local/share/me-tv/mnt/db

And set the "fstab" file to keep changes after the reboot:
echo "/usr/local/share/me-tv/me-tv.img /usr/local/share/me-tv/mnt ext2 defaults,loop 0 0" | sudo tee -a /etc/fstab

This is hardly opinion, it's a bug! It basically makes Me-TV unusable. And a loopback device for a TV device? I think that while it is technically a cool workaround, it's hardly an acceptable solution.

This sounds like a problem the Liferea RSS feed reader had for quite a while. The version in precise finally works, though I don't know what changed. Are they still using Sqlite?

Also: Is this perhaps a problem with Sqlite? I mean, it really is ridiculous that a couple of DB inserts cause the program to lock up.

Michael Collard (quadfour-m) wrote :

I've put together a patch for ME-TV which should resolve (workaround) this SQLite issue on EXT4 with barrier options. Note, it requires SQLite3.7 or above.

Note, I'm not any form of professional C/C++ programmer. I got the idea from elsewhere and SQLite documentation. Take it or leave it, but the patch is working rather well for me :)

Download full text (8.2 KiB)

Can somebody else confirme that this is working ? (As I don't have this bug
to test with)

On Sun, Jun 3, 2012 at 8:09 AM, Michael Collard <email address hidden>wrote:

> I've put together a patch for ME-TV which should resolve (workaround)
> this SQLite issue on EXT4 with barrier options. Note, it requires
> SQLite3.7 or above.
>
> Note, I'm not any form of professional C/C++ programmer. I got the idea
> from elsewhere and SQLite documentation. Take it or leave it, but the
> patch is working rather well for me :)
>
> ** Patch added: "me-tv-sqlite-fix.patch"
>
> https://bugs.launchpad.net/me-tv/+bug/982421/+attachment/3173772/+files/me-tv-sqlite-fix.patch
>
> --
> You received this bug notification because you are subscribed to Me TV.
> https://bugs.launchpad.net/bugs/982421
>
> Title:
> "epg_event row replaced for id" is causing high usage of harddrive
>
> Status in Me TV, it's TV for me computer:
> Opinion
>
> Bug description:
> Precise Pangolin
> updates from April 15
> Me-TV 1.4.0.9
>
> While me-tv-server is working with epg row replacing, me-tv-client is
> not responding to mouse clicks and harddisk has high usage. I have
> encrypted whole home folder if it helps.
>
> Log from me-tv-server verbose option, watch the time:
> 2012-04-15 18:01:02: epg_event row replaced for id 4042
> 2012-04-15 18:01:02: epg_event row replaced for id 4043
> 2012-04-15 18:01:02: epg_event row replaced for id 4044
> 2012-04-15 18:01:02: epg_event row replaced for id 4045
> 2012-04-15 18:01:02: epg_event row replaced for id 4046
> 2012-04-15 18:01:02: epg_event row replaced for id 4047
> 2012-04-15 18:01:02: epg_event row replaced for id 4048
> 2012-04-15 18:01:02: epg_event row replaced for id 4049
> 2012-04-15 18:01:02: epg_event row replaced for id 4050
> 2012-04-15 18:01:03: epg_event row replaced for id 4051
> 2012-04-15 18:01:03: epg_event row replaced for id 4052
> 2012-04-15 18:01:03: epg_event row replaced for id 4053
> 2012-04-15 18:01:03: epg_event row replaced for id 4054
> 2012-04-15 18:01:03: epg_event row replaced for id 4055
> 2012-04-15 18:01:03: epg_event row replaced for id 4056
> 2012-04-15 18:01:03: epg_event row replaced for id 4057
> 2012-04-15 18:01:03: epg_event row replaced for id 4058
> 2012-04-15 18:01:04: epg_event row replaced for id 4059
> 2012-04-15 18:01:04: epg_event row replaced for id 4060
> 2012-04-15 18:01:04: epg_event row replaced for id 4061
> 2012-04-15 18:01:04: epg_event row replaced for id 4062
> 2012-04-15 18:01:04: epg_event row replaced for id 4063
> 2012-04-15 18:01:04: epg_event row replaced for id 4064
> 2012-04-15 18:01:04: epg_event row replaced for id 4065
> 2012-04-15 18:01:04: epg_event row replaced for id 4066
> 2012-04-15 18:01:04: epg_event row replaced for id 4067
> 2012-04-15 18:01:05: epg_event row replaced for id 4068
> 2012-04-15 18:01:05: epg_event row replaced for id 4069
> 2012-04-15 18:01:05: epg_event row replaced for id 4070
> 2012-04-15 18:01:05: epg_event row replaced for id 4071
> 2012-04-15 18:01:05: epg_event row replaced for id 4072
> 2012-04-15 18:01:05: epg_event row replaced for id 4073
> 2012-04-15 18:01:05: epg_event row replaced for id 4...

Read more...

Michael Collard (quadfour-m) wrote :

If you like, you could probably set this up to fail yourself :)

It would be a matter of creating a loopback ext4 filesystem, and mounting it with the barrier option for your .local/me-tv path.

Don't quote me ( completely untested and unfounded... I've likely made errors ), but something along these lines:

dd if=/dev/zero of=/tmp/ext4fs bs=512k count=100

mkfs -t ext4 /tmp/ext4fs

mount -o loop /tmp/ext4fs -t ext4 /home/xxx/.local/me-tv

Michael Collard (quadfour-m) wrote :

My bad... don't forget the barrier option :)

mount -o loop,barrier=1 /tmp/ext4fs -t ext4 /home/xxx/.local/me-tv

Lemmiwinks (lemmiwinks) wrote :

This bug makes the whole application unusable for a few minutes for me too. It is very annoying. This really needs a proper fix.

Changed in me-tv:
status: Opinion → Confirmed
Lemmiwinks (lemmiwinks) wrote :

I forgot to mention that my home folder is not encrypted.

Sven (sven-koehler) wrote :

The "me-tv-sqlite-fix.patch" posted by Michael Collard (quadfour-m) has made me-tv MUCH more responsive! And disk I/O is near to zero. Channels import completes within a second - and not 20 seconds. That patch "saved" me-tv for me.

Download full text (7.8 KiB)

OK, I'll merge it as soon as I have spare time.
On Jun 9, 2012 11:40 PM, "Sven" <email address hidden> wrote:

> The "me-tv-sqlite-fix.patch" posted by Michael Collard (quadfour-m) has
> made me-tv MUCH more responsive! And disk I/O is near to zero. Channels
> import completes within a second - and not 20 seconds. That patch
> "saved" me-tv for me.
>
> --
> You received this bug notification because you are subscribed to Me TV.
> https://bugs.launchpad.net/bugs/982421
>
> Title:
> "epg_event row replaced for id" is causing high usage of harddrive
>
> Status in Me TV, it's TV for me computer:
> Confirmed
>
> Bug description:
> Precise Pangolin
> updates from April 15
> Me-TV 1.4.0.9
>
> While me-tv-server is working with epg row replacing, me-tv-client is
> not responding to mouse clicks and harddisk has high usage. I have
> encrypted whole home folder if it helps.
>
> Log from me-tv-server verbose option, watch the time:
> 2012-04-15 18:01:02: epg_event row replaced for id 4042
> 2012-04-15 18:01:02: epg_event row replaced for id 4043
> 2012-04-15 18:01:02: epg_event row replaced for id 4044
> 2012-04-15 18:01:02: epg_event row replaced for id 4045
> 2012-04-15 18:01:02: epg_event row replaced for id 4046
> 2012-04-15 18:01:02: epg_event row replaced for id 4047
> 2012-04-15 18:01:02: epg_event row replaced for id 4048
> 2012-04-15 18:01:02: epg_event row replaced for id 4049
> 2012-04-15 18:01:02: epg_event row replaced for id 4050
> 2012-04-15 18:01:03: epg_event row replaced for id 4051
> 2012-04-15 18:01:03: epg_event row replaced for id 4052
> 2012-04-15 18:01:03: epg_event row replaced for id 4053
> 2012-04-15 18:01:03: epg_event row replaced for id 4054
> 2012-04-15 18:01:03: epg_event row replaced for id 4055
> 2012-04-15 18:01:03: epg_event row replaced for id 4056
> 2012-04-15 18:01:03: epg_event row replaced for id 4057
> 2012-04-15 18:01:03: epg_event row replaced for id 4058
> 2012-04-15 18:01:04: epg_event row replaced for id 4059
> 2012-04-15 18:01:04: epg_event row replaced for id 4060
> 2012-04-15 18:01:04: epg_event row replaced for id 4061
> 2012-04-15 18:01:04: epg_event row replaced for id 4062
> 2012-04-15 18:01:04: epg_event row replaced for id 4063
> 2012-04-15 18:01:04: epg_event row replaced for id 4064
> 2012-04-15 18:01:04: epg_event row replaced for id 4065
> 2012-04-15 18:01:04: epg_event row replaced for id 4066
> 2012-04-15 18:01:04: epg_event row replaced for id 4067
> 2012-04-15 18:01:05: epg_event row replaced for id 4068
> 2012-04-15 18:01:05: epg_event row replaced for id 4069
> 2012-04-15 18:01:05: epg_event row replaced for id 4070
> 2012-04-15 18:01:05: epg_event row replaced for id 4071
> 2012-04-15 18:01:05: epg_event row replaced for id 4072
> 2012-04-15 18:01:05: epg_event row replaced for id 4073
> 2012-04-15 18:01:05: epg_event row replaced for id 4074
> 2012-04-15 18:01:05: epg_event row replaced for id 4075
> 2012-04-15 18:01:06: epg_event row replaced for id 4076
> 2012-04-15 18:01:06: epg_event row replaced for id 4077
> 2012-04-15 18:01:06: epg_event row replaced for id 4078
> 2012-04-15 18:01:06: epg_event row replaced for id 4079
> 2012-0...

Read more...

I've merge the patch to the code on the PPA (now 1.4.0.10). We'll see how it goes...

Changed in me-tv:
status: Confirmed → Fix Committed
importance: Undecided → High
assignee: nobody → Frédéric Côté (frederic-cote)
Skip D. (good-old-skip) wrote :

Hello,

I also used the solution with the loopback device for a while.
I just installed the 1.4.0.10 version and tried it without the loopback device - with no success.
Yet the import of my channel.conf went slowly with heavy HDD activity so I interrupted it before it finished. I have Debian testing with libsqlite3-0 version 3.7.12.1-1

Sorry that I cannot provide better news from my point of view.

Nevertheless thank you & best regards,

Skip

Michael Collard (quadfour-m) wrote :

I'm running Mint Debian Edition - it's mostly just Debian Testing. And I'm running much the same sqlite3 library.

Silly question... did you use one of the actual PPA packages?

Skip D. (good-old-skip) wrote :

Hello,

yes, I'm using the me-tv_1.4.0-0~36~oneiric1_i386.deb from PPA. I also have another strange behavior upon importing a channels.conf. Me-TV imports all of my channels, but while bringing them into the database it seems to drop some occasionally. I mean, as long as I do not restart the server they are all there, but with a viewer I can see that they are not in the SQL database so that after a server restart they are gone. I will investigate this further when I find the time and, if I should come to a conclusion file a bug report.

Nvertheless, thank you,

Skip

Skip D. (good-old-skip) wrote :

Ok, it's a feature, not a bug. The channels I thought me-tv would drop were just duplicates on other frequencies. Me-tv is just so clever to drop previous versions of channels with the same name. Shame on me, I did not get that.

Thanks,

Skip

Sven (sven-koehler) wrote :

That's not clever, that's a nightmare. Using DVB-T, the duplicate that me-tv erases may actually be the channel that works perfectly while me-tv keeps the frequency that barely works. I think I opened a bug about that, before the new me-tv maintainer stepped up.

Changed in me-tv:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers